> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Work Order Line Item

> This endpoint updates an existing work order line item.

### Body

<ParamField body="id" type="string">
  This is the id of the work order line item.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the unique identifier of the work order line item.
</ResponseField>

<ResponseField name="line_status" type="string">
  This is the status or state of the work order line item.
</ResponseField>

<ResponseField name="line_type" type="string">
  This is the type or category of the work order line item.
</ResponseField>

<ResponseField name="part_name" type="string">
  This is the name of the part or item included in the work order line item.
</ResponseField>

<ResponseField name="part_number" type="string">
  This is the number or code associated with the part or item included in the work order line item.
</ResponseField>

<ResponseField name="total_quantity" type="number">
  This is the total quantity of the part or item required or used in the work order line item.
</ResponseField>

<ResponseField name="unit_quantity" type="number">
  This is the quantity of the part or item required or used per unit in the work order line item.
</ResponseField>

<ResponseField name="work_order_number" type="string">
  This is the number associated with the work order to which the line item belongs.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request PUT 'https://api.stateset.com/v1/work_order_line_item' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "",
  }'
  ```

  ```graphQL GraphQL theme={null}

                 mutation (
                  $id: uuid
                  $work_order_line_item: work_order_line_items_set_input!
                ) {
                  update_work_order_line_items (
                  where: { id : { _eq: $id }}
                  _set: $work_order_line_item
                  ) {
                    returning {
                      id
                      
                    }
                  }
                }
  ```

  ```javascript Node.js theme={null}

  cont workOrderLineItem = await stateset.workOrderItem.update({
    'wo_1NXWPnCo6bFb1KQto6C8OWvE'
  });

  ```

  ```python Python theme={null}

  workOrderLineItem = stateset.workOrderItem.update(
    'wo_1NXWPnCo6bFb1KQto6C8OWvE'
  )

  ```

  ```ruby Ruby theme={null}

  workOrderLineItem = Stateset::WorkOrderItem.update(
    'wo_1NXWPnCo6bFb1KQto6C8OWvE'
  )

  ```

  ```php PHP theme={null}

  $workOrderLineItem = $stateset->workOrderItem->update(
    'wo_1NXWPnCo6bFb1KQto6C8OWvE'
  );

  ```

  ```go Golang theme={null}

  workOrderLineItem, err := stateset.WorkOrderItem.Update(
    'wo_1NXWPnCo6bFb1KQto6C8OWvE'
  )

  ```

  ```java Java theme={null}

  WorkOrderLineItem workOrderLineItem = stateset.workOrderItem.update(
    'wo_1NXWPnCo6bFb1KQto6C8OWvE'
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1,
  }

  ```
</ResponseExample>
